> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Liquidity

> Add liquidity to a position.



## OpenAPI

````yaml /openapi/orca.json post /v0/pools/positions/{positionAddress}/add-liquidity
openapi: 3.1.1
info:
  title: Orca Blinks API
  version: 0.0.1
servers:
  - url: https://orca.dial.to/api
security: []
paths:
  /v0/pools/positions/{positionAddress}/add-liquidity:
    post:
      tags:
        - Pools
      summary: Add Liquidity
      description: Add liquidity to a position.
      operationId: orca.v0.pools.addLiquidity
      parameters:
        - name: positionAddress
          in: path
          required: true
          schema:
            type: string
            description: The position address
            default: 3D2aguLHQ2r77Si6A7z3MhLY24g7ioj7LQQ7CPPuCuVo
        - name: amount
          in: query
          schema:
            type: number
            exclusiveMinimum: 0
            description: The amount to add. Human readable value, e.g. 100 USDC
          allowEmptyValue: true
          allowReserved: true
        - name: percentage
          in: query
          schema:
            type: integer
            minimum: -9007199254740991
            maximum: 100
            exclusiveMinimum: 0
            description: The percentage of token amount to add
            default: 25
          allowEmptyValue: true
          allowReserved: true
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                type:
                  type: string
                  enum:
                    - transaction
                  default: transaction
                account:
                  type: string
                  description: The public key of the account that executes the transaction
                  default: 6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
              required:
                - type
                - account
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    const: transaction
                  transaction:
                    type: string
                required:
                  - type
                  - transaction

````